Bug 139354 - NFS ACL umask uses client umask AND default umask instead of the default umask
NFS ACL umask uses client umask AND default umask instead of the default umask
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 10:03 EST by David Barker
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 08:42:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Barker 2004-11-15 10:03:10 EST
Description of problem:

NFS Mounts with acl's enabled on fs and exports. ACL's are applied
correctly, but the client umask is combined (logical AND) with the
default ACL umask instead of using the default umask as would happen
on fs without nfs.

e.g. 

[root@server webdata1]# mkdir a
[root@server webdata1]# setfacl -d -m u:user:rwx a
[root@server webdata1]# cd a
[root@server a]# mkdir b
[root@server a]# getfacl b
# file: b
# owner: root
# group: root
user::rwx
user:user:rwx               #effective:r-x
group::r-x
mask::r-x
other::r-x
default:user::rwx
default:user:user:rwx
default:group::r-x
default:mask::rwx
default:other::r-x 


Version-Release number of selected component (if applicable):


How reproducible:

always


Steps to Reproduce:

see above
  
Actual results:

logical AND of client umask and default umask applied

Expected results:

default umask applied

Additional info:
Comment 1 Jeff Layton 2007-07-18 08:42:20 EDT
Given that RHEL3 is now in maintenance mode and that this is not a catastrophic
bug, I don't believe we'll be able to patch this there.

A quick check of RHEL4 seems to show that NFS ACL's work identically to local
filesystems. I expect that the same will be the case on RHEL5 and beyond.
Closing this as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.